org.apache.calcite.avatica.proto

## Interface Requests.SchemasRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.SchemasRequest, Requests.SchemasRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.SchemasRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getCatalog()` `optional string catalog = 1;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `optional string catalog = 1;`
`String` `getConnectionId()` `optional string connection_id = 3;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 3;`
`String` `getSchemaPattern()` `optional string schema_pattern = 2;`
`com.google.protobuf.ByteString` `getSchemaPatternBytes()` `optional string schema_pattern = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getCatalog

    String getCatalog()

`optional string catalog = 1;`

#### getCatalogBytes

    com.google.protobuf.ByteString getCatalogBytes()

`optional string catalog = 1;`

#### getSchemaPattern

    String getSchemaPattern()

`optional string schema_pattern = 2;`

#### getSchemaPatternBytes

    com.google.protobuf.ByteString getSchemaPatternBytes()

`optional string schema_pattern = 2;`

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 3;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 3;`